Kerbal Space Program - Bug #5312

Air-breathing Engine instant return to power after flameout.
08/10/2015 07:38 PM - Distjubo
Description

When an engine flames out because of the lack of air (for example when closing the intakes) and the player throttles up, the engine
will (when the air intakes are open again) already be at that speed without any delay. That is weird. Its a great way of saving runway
though :P

Reproduction

. Launch the attached craft (Airbreather Jig).

. Open the action menu for the engine (right click) to monitor engine thrust.

. Stage to activate the engine (it will remain static on the pad)

. Note engine note rising and thrust increasing - wait until it levels out.

. Press action group 1 to toggle air intake. (alternatively, use action menu on intake.
. Note the engine flames out and quickly spools down.

. Press action group 1 again to open intake.

. Note engine note and thrust level

. Apply full throttle (z) and walit for stabilisation (74.2kN)

. Repeat steps 5-7 at any throttle setting.
Expected

On flameout due to air starvation, the engine should spool down. When air is available again, the engine should spool up at an
equivalent or similar rate to step 4.

Observed

The engine will spool up gradually when first staged, but on closing the intake and starving it of air, the engine quickly spools
down.(expected. see notes)

On opening the intake again, the engine will instantly return to the level of thrust it was at prior to flaming out.

Adjusting the throttle up or down during air starvation will make the engine initially return to the previous thrust value and then raise
or lower its thrust accordingly.

Only the fuel required to raise to a higher throttle setting will be used. Not the fuel required to spool up from a standstill. (this can be
seen by waiting for the appropriate amount of time for a normal spool down.

Video demonstration

Notes

Opening and closing the throttle produces a gradual increase or decrease in thrust that lags behind the throttle setting as expected
from a gas turbine. Intake air velocity may increase the rotation and speed spooling up, but this should not happen instantly.
Flameout produces a quicker than expected spool down, and does not follow the same behaviour as shutting an engine down using
(x).

The engine appears to return to a thrust value that may have been stored on the flameout event.

History

#1 - 08/10/2015 08:39 PM - Distjubo

Okay, created a quick 'n dirty video showing that bug. (At least | assume its a bug).
https://youtu.be/4tcvmfHMMXA (Why can't | embed a youtube video?)
https://youtu.be/4tcvmfHMMXA
https://youtu.be/4tcvmfHMMXA

#2 - 08/10/2015 08:42 PM - Squelch

- Subject changed from Air-breathing Engine Flameout Physics to Air-breathing Engine instant return to power after flameout.
- Category changed from Physics to Controls and Ul

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Interesting find.

The engine will instantly spool up to whatever level it was at before flameout. I'll reformat and expand your report if | may, and this will forwarded for
attention.

Distjubo wrote:

Why can't | embed a youtube video?

Hopefully video embedding will come soon.
#3 - 08/10/2015 08:49 PM - Distjubo
Squelch wrote:

The engine will instantly spool up to whatever level it was at before flameout.

No, even better, that level will rise without any fuel consumption.

#4 - 08/10/2015 09:13 PM - Squelch
- File #5312-airbreather jig.craft added
- Description updated

#5 - 08/10/2015 09:25 PM - Distjubo

It looks like that engine stores one value, the kN of thrust that it generates. You can control that value on a flamed-out engine, although that thrust will
not be applied. So if you throttle up with a flamed-out engine, that value will rise, and when you give it some air to breath, it will give you that thrust.
(Hope that can explain it a bit better, sorry for my english.)

#6 - 08/10/2015 09:31 PM - Squelch
- Description updated
Distjubo wrote:
No, even better, that level will rise without any fuel consumption.
Returning to the previous thrust level is instant but it does appear to use fuel to raise to the higher throttle setting. Noted and added to observations
along with your video.
It looks like that engine stores one value, the kN of thrust that it generates. You can control that value on a flamed-out engine, although that

thrust will not be applied. So if you throttle up with a flamed-out engine, that value will rise, and when you give it some air to breath, it will give
you that thrust. (Hope that can explain it a bit better, sorry for my english.)

That does seem to be the case, and your English is fine. Thanks for reporting. I'll promote this one for attention.

#8 - 08/10/2015 09:33 PM - Squelch
- Description updated

#9 - 08/10/2015 10:09 PM - Distjubo

Thanks for that good inspiration! | am now building a VTOL-capable SSTO spacecraft out of 5 parts, | hope it works! :D
uc?export=download&amp;id=0B_nbjCgQ5hsTZFhDbXNIM05ySFE

EDIT: Yay, finally got a chunk o' debris in orbit!

#10 - 11/17/2015 01:09 AM - Squelch

- Status changed from Confirmed to Resolved
- % Done changed from 10 to 100

This was addressed in 1.0.5. Engines should spool up and down correctly now.

#11 - 07/17/2016 09:19 AM - TriggerAu

- Status changed from Resolved to Closed

Files

#5312-airbreather jig.craft 8.4 KB
